package org.jeecg.modules.travelOrder.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 线上预定项目表
 * @Author: jeecg-boot
 * @Date:   2024-09-14
 * @Version: V1.0
 */
@Data
@TableName("travel_order")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="travel_order对象", description="线上预定项目表")
public class TravelOrder implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**预约项目标题*/
	@Excel(name = "预约项目标题", width = 15)
    @ApiModelProperty(value = "预约项目标题")
    private java.lang.String orderTitle;
	/**预约项目副标题*/
	@Excel(name = "预约项目副标题", width = 15)
    @ApiModelProperty(value = "预约项目副标题")
    private java.lang.String orderShortTitle;
	/**预约项目封面*/
	@Excel(name = "预约项目封面", width = 15)
    @ApiModelProperty(value = "预约项目封面")
    private java.lang.String orderImage;
	/**预约项目价格*/
	@Excel(name = "预约项目价格", width = 15)
    @ApiModelProperty(value = "预约项目价格")
    private java.lang.String orderPrice;
	/**预约项目简介*/
	@Excel(name = "预约项目简介", width = 15)
    @ApiModelProperty(value = "预约项目简介")
    private java.lang.String orderBrief;
	/**关于行程*/
	@Excel(name = "关于行程", width = 15)
    @ApiModelProperty(value = "关于行程")
    private java.lang.String orderRoute;
	/**注意事项*/
	@Excel(name = "注意事项", width = 15)
    @ApiModelProperty(value = "注意事项")
    private java.lang.String orderAttention;
	/**出行说明*/
	@Excel(name = "出行说明", width = 15)
    @ApiModelProperty(value = "出行说明")
    private java.lang.String orderStatement;
	/**项目详情介绍*/
	@Excel(name = "项目详情介绍", width = 15)
    @ApiModelProperty(value = "项目详情介绍")
    private java.lang.String orderDetail;
	/**项目所属分类*/
	@Excel(name = "项目所属分类", width = 15)
    @ApiModelProperty(value = "项目所属分类")
    private java.lang.String categoryId;
}
