import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '预约项目标题',
    align:"center",
    dataIndex: 'orderTitle'
   },
   {
    title: '预约项目副标题',
    align:"center",
    dataIndex: 'orderShortTitle'
   },
   {
    title: '预约项目封面',
    align:"center",
    dataIndex: 'orderImage',
    customRender:render.renderAvatar,
   },
   {
    title: '预约项目价格',
    align:"center",
    dataIndex: 'orderPrice'
   },
   {
    title: '预约项目简介',
    align:"center",
    dataIndex: 'orderBrief'
   },
   {
    title: '关于行程',
    align:"center",
    dataIndex: 'orderRoute'
   },
   {
    title: '注意事项',
    align:"center",
    dataIndex: 'orderAttention'
   },
   {
    title: '出行说明',
    align:"center",
    dataIndex: 'orderStatement'
   },
   {
    title: '项目详情介绍',
    align:"center",
    dataIndex: 'orderDetail',
    slots: { customRender: 'htmlSlot' },
   },
   {
    title: '项目所属分类',
    align:"center",
    dataIndex: 'categoryId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '预约项目标题',
    field: 'orderTitle',
    component: 'Input',
  },
  {
    label: '预约项目副标题',
    field: 'orderShortTitle',
    component: 'Input',
  },
  {
    label: '预约项目封面',
    field: 'orderImage',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '预约项目价格',
    field: 'orderPrice',
    component: 'Input',
  },
  {
    label: '预约项目简介',
    field: 'orderBrief',
    component: 'Input',
  },
  {
    label: '关于行程',
    field: 'orderRoute',
    component: 'Input',
  },
  {
    label: '注意事项',
    field: 'orderAttention',
    component: 'Input',
  },
  {
    label: '出行说明',
    field: 'orderStatement',
    component: 'Input',
  },
  {
    label: '项目详情介绍',
    field: 'orderDetail',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
  {
    label: '项目所属分类',
    field: 'categoryId',
    component: 'Input',
  },
];
